Api referenceRoutesClients

List client processes

Lists daemon-managed client processes. Use this before creating another client in an existing daemon or workspace so agents can reuse or stop prior attempts instead of launching duplicates.

GET
/clients

Lists daemon-managed client processes. Use this before creating another client in an existing daemon or workspace so agents can reuse or stop prior attempts instead of launching duplicates.

Response Body

application/json

curl -X GET "https://example.com/clients"
[  {    "id": "string",    "instance": {      "id": "string",      "version": {        "id": "string"      },      "loader": "string",      "files": {        "root": "string",        "gameRoot": "string",        "runtimeRoot": "string",        "cache": "string",        "mods": "string",        "config": "string",        "saves": "string",        "resourcePacks": "string",        "shaderPacks": "string",        "screenshots": "string",        "logs": "string",        "artifacts": "string"      }    },    "profile": {      "kind": "string",      "name": "string"    },    "presentation": {      "window": "NONE",      "audio": "MUTED"    },    "state": "string"  }]